Subject: Re: [ppsp] ppsp Digest, Vol 18, Issue 32

From: Alberto José González Cela <[email-masked]>
Date: Mon, 22 Mar 2010 10:25:12 +0100

Hi Yunfei, all,

First of all, I think you have done a great job consolidating this version
of the charter.

By the way, I propose two minor changes:

--------

1) "RTP,TCP or UDP may be used for the encoding and transmission of the
media content
between peers" --> Proposal:  "RTP,TCP or UDP may be used for the
transmission of the media content
between peers"

I think that the term "encoding" used here is confusing as the charter
refers to transport protocols in this sentence.

2) " This document will also discuss use of layered media encoding and
related media chunk
  descriptions in the peer protocol for more robust streaming" -->
Proposal: "This document will also discuss use of layered media encoding and
related media chunk descriptions in the peer protocol for more robust and
scalable streaming"

I think it is important to add the term "scalable" in this sentence as it is
an important feature of layered media encoding which will allow to reach
heterogeneous devices (including mobiles and fixed devices) with different
capabilities (display and network access).

------

For the rest, I agree with the charter text.

Best Regards,

Alberto J. Gonzalez
Universitat Politecnica de Catalunya (BarcelonaTECH) / i2CAT Foundation

> Message: 1
> Date: Sun, 21 Mar 2010 13:18:06 +0800
> From: "zhangyunfei" <[email-masked]>
> Subject: [ppsp] Updated PPSP charter propsal
> To: "[email-masked]" <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="gb2312"
>
> Dear all,
>   Accroding to Cullen's version of PPSP charter proposal and recent
> discussions on PPSP mailing list,I update a new version with some
> revisions,including updated language concerning the protocol candidates
> descriptions on peer and tracker protocol, the task of session negotiation
> description for rechartering (if necessary) and some related WG update.
>   So please let me know if it reflects clearer view on PPSP.Any comments
> are highly appreciated.
>   Thanks so much for all of your proposals and valuable suggestions on the
> mailing list.
>
> BR
> Yunfei
>
>
> ====================================================
> The Peer-to-Peer Streaming Protocol (PPSP) working group develops two
> signaling and control protocols for a peer-to-peer (P2P) streaming
> system for transmitting live and time shifted media content with near
> real-time delivery requirements.
>
> Two kinds of nodes exist in the targeted P2P streaming system, i.e.,
> "peers" and "trackers". Peers are nodes that are actively sending and
> receiving streamed media content, and include both statically connected
> hosts as well as mobile devices with connectivity and IP addresses that
> change over time. Besides end nodes, peers also include caches,
> CDN nodes and the kind of deployed edge network equipments and super-nodes
> by ISP.
> The set of peers that are participating in a streaming session will
> dynamically
> change over time. Trackers are well-known nodes with stable connectivity
> that
>  maintain meta information about the streamed content and the dynamic peer
> set.
> They can be organized in centralized or distributed way.
>
> The PPSP WG designs a protocol for signaling and control between
> trackers and peers (the PPSP "tracker protocol") and a signaling and
> control protocol for communication among the peers (the PPSP "peer
> protocol"). The two protocols enable peers to receive streaming data
> within the time constraints required by specific content items.  The
> tracker protocol handles the initial and periodic exchange of meta
> information between trackers and peers, such as peer lists and content
> information. The peer protocol controls the advertising and exchange of
> media data availability and each other?s neighbor peers between the peers.
>
> The tracker protocol will be modeled as request/answer protocol between
> peer and tracker,and will carry information
> that is needed for selection of a peer suitable for real time streaming.
>
> The peer protocol will be modeled as gossip-like protocol, with periodic,
> pairwise,
>  inter-process interactions of changed available neighbor peers and media
> piece
> states called bitmap between peers. The information exchanged during these
> interactions
> is of bounded size and is carried by TCP or UDP together with ICE for NAT
> traversal
> support.
>
> RTP,TCP or UDP may be used for the encoding and transmission of the media
> content
> between peers. PPSP is not chartered to work on media transmission
> protocols, media encoding techniques or other components of a P2P
> streaming system such as playout,scheduling and control, etc.
> There is a gap between the task of peer protocol and content transmission,
> namely, the
> negotiation to set up a session between peers. If the gap is deemed
> necessary to be met,
> the WG will seek to recharter for such extensions.
>
> The work items of the PPSP WG are:
>
> (1) A "problem statement" document that gives an overview of the
>    proposed P2P streaming system, motivates the desire for standardized
>    protocols, defines the envisioned scope of those standardized
>    components and discusses common terminologies and concepts.
>
> (2) A "requirements" document that details the specific functional,
>    operational and performance requirements of the two PPSP protocols.
>
> (3) An "architectural survey" document that summarizes current P2P
>    streaming architectures, in particular tracker-based P2P streaming
>    systems, and highlights best current practices.
>
> (4) A detailed specification of the PPSP peer protocol.
>
> (5) A detailed specification of the PPSP tracker protocol.
>
> (6) A "usage guide" that describes how the two PPSP protocols and
>    existing IETF protocols, such as P2PSIP and ALTO, can be combined to
> create a
>    deployable operational P2P streaming system. This document will
>    also discuss use of layered media encoding and related media chunk
>   descriptions in the peer protocol for more robust streaming.
>
>
> The work items of the PPSP WG interacts with the work performed in other
> IETF WGs, including P2PSIP, SIPCORE, AVT, ALTO, LEDBAT and MMUSIC. Whenever
> extensions or modification to the protocols developed in other WGs are
> deemed necessary, PPSP shall communicate and discuss the requirements
> for such extensions with the relevant WGs but is not charted to make
> such changes.
>
> Goals and Milestones:
>
> Sep 2010   Submit problem statement to IESG as Informational
> Dec 2010   Submit architectural survey to IESG as Informational
> Dec 2010   Submit requirements document to IESG as Informational
> Aug 2011   Submit PPSP peer protocol to IESG as Proposed Standard
> Aug 2011   Submit PPSP tracker protocol to IESG as Proposed Standard
> Dec 2011   Submit usage guide to IESG to IESG as Informational
>
>
>
>
>
> zhangyunfei
> 2010-03-21
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <
> http://www.ietf.org/mail-archive/web/ppsp/attachments/20100321/973eebea/attachment.htm
> >
>
> ------------------------------
>
> _______________________________________________
> ppsp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ppsp
>
>
> End of ppsp Digest, Vol 18, Issue 32
> ************************************
>

-- 
Alberto Jose Gonzalez Cela

---

From: Ning Zong <[email-masked]>
Date: Mon, 22 Mar 2010 07:14:50 -0700

Hi, Alberto,

See inline.

Hi Yunfei, all,

First of all, I think you have done a great job consolidating this version of the charter.

--------

1) "RTP,TCP or UDP may be used for the encoding and transmission of the media content
between peers" --> Proposal: ?quot;RTP,TCP or UDP may be used for the transmission of the media content
between peers"

I think that the term "encoding" used here is confusing as the charter refers to transport protocols in this sentence.

[zong]: For clarification, I suppose the term "encoding" here means "encapsulation" which is a basic function of network protocol.
But I agree to just remain transmission because transmission is general enough.

2) "燭his document will燼lso discuss use of layered media encoding and related media chunk
?descriptions in the peer protocol for more robust streaming" --> Proposal:?quot;This document will燼lso discuss use of layered media encoding and related media chunk燿escriptions in the peer protocol for more robust and scalable streaming"

I think it is important to add the term "scalable" in this sentence as it is an important feature of layered media encoding which will allow to reach heterogeneous devices (including mobiles and fixed devices) with different capabilities (display and network access).

[zong]: Good point.

------

Best Regards,

Alberto J. Gonzalez

Message: 1

Dear all,
?Accroding to Cullen's version of PPSP charter proposal and recent discussions on PPSP mailing list,I update a new version with some revisions,including updated language concerning the protocol candidates descriptions on peer and tracker protocol, the task of session negotiation description for rechartering (if necessary) and some related WG update.
?So please let me know if it reflects clearer view on PPSP.Any comments are highly appreciated.
?Thanks so much for all of your proposals and valuable suggestions on the mailing list.

BR
Yunfei

Two kinds of nodes exist in the targeted P2P streaming system, i.e.,
"peers" and "trackers". Peers are nodes that are actively sending and
receiving streamed media content, and include both statically connected
hosts as well as mobile devices with connectivity and IP addresses that
change over time. Besides end nodes, peers also include caches,
CDN nodes and the kind of deployed edge network equipments and super-nodes by ISP.
The set of peers that are participating in a streaming session will dynamically
change over time. Trackers are well-known nodes with stable connectivity that
爉aintain meta information about the streamed content and the dynamic peer set.
They can be organized in centralized or distributed way.

within the time constraints required by specific content items. 燭he

The peer protocol will be modeled as gossip-like protocol, with periodic, pairwise,
爄nter-process interactions of changed available neighbor peers and media piece
states called bitmap between peers. The information exchanged during these interactions
is of bounded size and is carried by TCP or UDP together with ICE for NAT traversal
support.

RTP,TCP or UDP may be used for the encoding and transmission of the media content
between peers. PPSP is not chartered to work on media transmission
protocols, media encoding techniques or other components of a P2P
streaming system such as playout,scheduling and control, etc.
There is a gap between the task of peer protocol and content transmission, namely, the
negotiation to set up a session between peers. If the gap is deemed necessary to be met,
the WG will seek to recharter for such extensions.

(1) A "problem statement" document that gives an overview of the
?爌roposed P2P streaming system, motivates the desire for standardized
?爌rotocols, defines the envisioned scope of those standardized
?燾omponents and discusses common terminologies and concepts.

(2) A "requirements" document that details the specific functional,
?爋perational and performance requirements of the two PPSP protocols.

(3) An "architectural survey" document that summarizes current P2P
?爏treaming architectures, in particular tracker-based P2P streaming
?爏ystems, and highlights best current practices.

(6) A "usage guide" that describes how the two PPSP protocols and
?爀xisting IETF protocols, such as P2PSIP and ALTO, can be combined to create a
?燿eployable operational P2P streaming system. This document will
?燼lso discuss use of layered media encoding and related media chunk
?descriptions in the peer protocol for more robust streaming.

Goals and Milestones:

Sep 2010 ?Submit problem statement to IESG as Informational
Dec 2010 ?Submit architectural survey to IESG as Informational
Dec 2010 ?Submit requirements document to IESG as Informational
Aug 2011 ?Submit PPSP peer protocol to IESG as Proposed Standard
Aug 2011 ?Submit PPSP tracker protocol to IESG as Proposed Standard
Dec 2011 ?Submit usage guide to IESG to IESG as Informational

zhangyunfei
2010-03-21
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.ietf.org/mail-archive/web/ppsp/attachments/20100321/973eebea/attachment.htm>